import java.awt.*;
import java.awt.image.ImageObserver;

/**
 * An interface for a class that can create and load iamges
 * @author Tim Bahls
 *
 */
public interface ImageGetter {

	/**
	 * Get the file with the given filename from the filesystem.
	 * @param fileName the filename
	 * @return the image
	 */
	public Image getIm(String fileName);
	
	/**
	 * Create a new image with the given dimensions
	 * @param width the width of the new Image
	 * @param height the height of the new Image
	 * @return the new Image
	 */
	public Image createImage(int width, int height);
	
	/**
	 * Tell an image to start loading
	 * @param i the Image itself
	 * @param io an ImageObserver that watches
	 * @return true if the image is fully loaded
	 */
	public boolean prepareImage(Image i,ImageObserver io);
}
